Update item adjustment - Fabric

Update item adjustment

cURL

curl --request PATCH \ 
  --url https://api.fabric.inc/v3/carts/{cartId}/items/{itemId}/adjustments/{adjustmentId} \ 
  --header 'Authorization: Bearer <token>' \ 
  --header 'Content-Type: application/json' \ 
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \ 
  --data '\n{\n  "reason": "Price adjustment from Customer Representative",\n  "attributes": {\n    "source": "CSR"\n  }\n}\n'  

Python

import requests

url = "https://api.fabric.inc/v3/carts/{cartId}/items/{itemId}/adjustments/{adjustmentId}"

payload = {
    "reason": "Price adjustment from Customer Representative",
    "attributes": { "source": "CSR" }
}
headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'PATCH',
  headers: {
    'x-fabric-tenant-id': '<x-fabric-tenant-id>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    reason: 'Price adjustment from Customer Representative',
    attributes: {source: 'CSR'}
  })
};

fetch('https://api.fabric.inc/v3/carts/{cartId}/items/{itemId}/adjustments/{adjustmentId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response

Successful Response

{
  "id": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",
  "price": {
    "amount": 12.99
  },
  "reason": "Price adjustment from customer representative.",
  "attributes": {
    "source": "CSR"
  },
  "updatedAt": "2024-06-13T16:50:00.682Z",
  "createdAt": "2024-06-13T16:50:00.682Z"
}

Error Responses

Bad Request

{
  "type": "BAD_REQUEST",
  "message": "x-fabric-tenant-id is required"
}

Cart Not Found

{
  "type": "CART_NOT_FOUND",
  "message": "Cart not found"
}